This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
dtrace.t: Don’t rely on installed strict.pm
authorFather Chrysostomos <sprout@cpan.org>
Wed, 5 Jun 2013 06:38:48 +0000 (23:38 -0700)
committerFather Chrysostomos <sprout@cpan.org>
Wed, 5 Jun 2013 06:38:48 +0000 (23:38 -0700)
It was failing to load strict.pm if perl had not been installed yet.

t/run/dtrace.t

index 49bda66..0992cd5 100644 (file)
@@ -133,6 +133,7 @@ D_SCRIPT
 );
 
 dtrace_like(<< 'PERL_SCRIPT',
+    BEGIN {@INC = '../lib'}
     use strict;
     require HTTP::Tiny;
     do "run/dtrace.pl";